Page MenuHomePhabricator

Changes to edit collection interface
Closed, ResolvedPublic2 Story Points

Description

  • Title of the page should be "Editing Collection" bold text
  • Display Title and Description at top
  • Remove blue edit button
  • Instead put edit pencil in line after title and description. tapping anywhere on title/descrip goes to that edit screen
  • Delete Collection - standard button style at the bottom

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Gather.
Jdlrobson moved this task to Must haves on the Gather board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 6:24 PM
Jdlrobson updated the task description. (Show Details)Apr 30 2015, 6:25 PM
Jdlrobson set Security to None.
Jdlrobson edited a custom field.
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.
Jdlrobson updated the task description. (Show Details)Apr 30 2015, 6:30 PM
Jdlrobson moved this task from Must haves to This Sprint on the Gather board.

@KHammerstein what about the public/private setting? It seems strange that we are putting this where nobody would think to find it. I am fine with this as a short term solution, but at some point we might need a separate settings page. Perhaps we use a gear instead of a pencil? or put public/private/hidden in the first page?

Jdlrobson updated the task description. (Show Details)May 11 2015, 5:51 PM
Jdlrobson edited a custom field.

Change 211919 had a related patch set uploaded (by Jhernandez):
UX changes to the collection editing overlay

https://gerrit.wikimedia.org/r/211919

Change 211919 merged by jenkins-bot:
UX changes to the collection editing overlay

https://gerrit.wikimedia.org/r/211919

@Jdlrobson, @Jhernandez I don't see this on wmflabs. Really want to get the pts up to 6 for this sprint, though :)

I see it in chrome, but not in iOS (probably a cache thing).
@KHammerstein can you sign off on design element?

fyi @Jdlrobson

@Jdlrobson @JKatzWMF

  • If there isn't a description can we move the edit pencil in line with the title text?
  • I agree that a cog icon will make more sense here because the public/private setting is included in this screen. @Jdlrobson you have access to that icon, right?

@Jdlrobson
The header has a weird width on desktop here:


Looks to be about 800 px

I suspect this is related to changes @kaldari @bmansurov and @phuedx made... guys, what do we need to do to make the width normal?

@KHammerstein the cog icon is tied to mobile options. It seems VisualEditor use a different icon for settings


Did I miss some conversation around the cog icon? I can't find any mention of it in the messages above so am very confused.

bmansurov added a comment.EditedJun 1 2015, 8:38 PM

The problem is in the Gather codebase. You're not supposed to wrap an ".overlay-header" with an ".overlay-header".

@Jdlrobson
"what about the public/private setting? It seems strange that we are putting this where nobody would think to find it. I am fine with this as a short term solution, but at some point we might need a separate settings page. Perhaps we use a gear instead of a pencil? or put public/private/hidden in the first page?" -JKatzWMF

Lets use the cog icon, I'll try to find an updated version

@bmansurov You're right it seems that this class doesn't belong on the container itself (note it's not a case of 'supposed to' - it's just not working because we didn't intend to support that. Thanks for pointing out the issue.

@KHammerstein and @JKatzWMF can you create a separate card to capture the settings page please rather than commenting on this bug?

I'm going to have a stab at:

  • 1. Header is broken in desktop
  • 2. Pencil icon on title when description empty

Please anything else discuss it and when clear raise a task.

Change 215368 had a related patch set uploaded (by Jhernandez):
Fix headers on desktop when editing a collection

https://gerrit.wikimedia.org/r/215368

Change 215369 had a related patch set uploaded (by Jhernandez):
Edit icon goes in title when description is empty.

https://gerrit.wikimedia.org/r/215369

Please review these two:

Created this task about changing to cog icon and making it more a settings page T101202

Change 215368 merged by jenkins-bot:
Fix headers on desktop when editing a collection

https://gerrit.wikimedia.org/r/215368

Change 215369 merged by jenkins-bot:
Edit icon goes in title when description is empty.

https://gerrit.wikimedia.org/r/215369

@KHammerstein can you sign off on this?

Jdlrobson closed this task as Resolved.Jun 16 2015, 10:41 PM